"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.withDatasourceRendering = void 0;
const sitecore_jss_nextjs_1 = require("@sitecore-jss/sitecore-jss-nextjs");
const react_1 = __importDefault(require("react"));
function withDatasourceRendering() {
    return (Component) => {
        // eslint-disable-next-line react/display-name
        return (props) => {
            var _a;
            if (!props.rendering.dataSource) {
                const { sitecoreContext } = (0, sitecore_jss_nextjs_1.useSitecoreContext)();
                return react_1.default.createElement(Component, Object.assign({}, props, { fields: (_a = sitecoreContext.route) === null || _a === void 0 ? void 0 : _a.fields }));
            }
            return react_1.default.createElement(Component, Object.assign({}, props, { fields: props.fields }));
        };
    };
}
exports.withDatasourceRendering = withDatasourceRendering;
